
From: Herbert Xu <herbert@gondor.apana.org.au>

The following patch works around the misdetection of the CXT48 codec as a
modem by the OSS ac97 driver.

Signed-off-by: Herbert Xu <herbert@gondor.apana.org.au> 
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/ac97_codec.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN sound/oss/ac97_codec.c~add-cxt48-to-modem-black-list-in-ac97 sound/oss/ac97_codec.c
--- 25/sound/oss/ac97_codec.c~add-cxt48-to-modem-black-list-in-ac97	2005-04-06 01:24:04.000000000 -0700
+++ 25-akpm/sound/oss/ac97_codec.c	2005-04-06 01:24:04.000000000 -0700
@@ -155,6 +155,7 @@ static const struct {
 	{0x43525931, "Cirrus Logic CS4299 rev A", &crystal_digital_ops},
 	{0x43525933, "Cirrus Logic CS4299 rev C", &crystal_digital_ops},
 	{0x43525934, "Cirrus Logic CS4299 rev D", &crystal_digital_ops},
+	{0x43585430, "CXT48",			&default_ops,		AC97_DELUDED_MODEM },
 	{0x43585442, "CXT66",			&default_ops,		AC97_DELUDED_MODEM },
 	{0x44543031, "Diamond Technology DT0893", &default_ops},
 	{0x45838308, "ESS Allegro ES1988",	&null_ops},
_
